> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/motorsport-api/welcome/query-complexity.md).

# Query complexity

Our APIs provide a lot of flexibility regarding includes, sorting and filtering. This flexibility makes us unique and one of the reasons thousands of customers trust Sportmonks as their sports data provider.

To be able to keep providing this high flexibility. We introduce a new mechanic to ensure our services do not get overloaded with requests that take too much processing power.

In our previous API, each endpoint had a limited amount of nested includes, to prevent our databases from being overloaded. However, depending on the combination of includes, it was still possible to make a request which would become too big to process appropriately. We have now introduced the so-called 'query complexity' to prevent this from happening.

The 'query complexity' is a mechanic where each include has a specific score, where the user can combine as many includes as he wants as long as the threshold is not exceeded.

This mechanic allows us to monitor our systems better and keep them up and running. You can expect a higher response success rate and build even more trustworthy applications as a customer.

You can find the query complexity score for each include on the docs page of the include.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportmonks.com/v3/motorsport-api/welcome/query-complexity.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
